Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::Bin Class Reference

A GtkBin C++ wrapper class. More...

`#include <inti/gtk/bin.h>`

Inheritance diagram for Inti::Gtk::Bin:

List of all members.

## Public Member Functions

Constructors

- virtual ~Bin ()
    Destructor.

Accessors

- GtkBin * gtk_bin () const
    Get a pointer to the GtkBin structure.
- GtkBinClass * gtk_bin_class () const
    Get a pointer to the GtkBinClass structure.
- operator GtkBin * () const
    Conversion operator; safely converts a Bin to a GtkBin pointer.
- Widget * get_child () const
    Gets the child of the Bin, or null if the bin contains no child widget.

## Protected Member Functions

Constructors

- Bin ()
    Construct a new Bin.
- Bin (GtkBin *bin, bool reference=false)
    Construct a new Bin from an existing GtkBin.

## Detailed Description

A GtkBin C++ wrapper class.

The Bin widget is a container with just one child. It is not very useful itself, but it is useful for deriving subclasses, since it provides common code needed for handling a single child widget. Many widgets are subclasses of Bin, including Window, Button, Frame, HandleBox, and ScrolledWindow.

## Constructor & Destructor Documentation

Inti::Gtk::Bin::Bin | ( | GtkBin * | bin,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new Bin from an existing GtkBin. Parameters:
  bin | A pointer to a GtkBin.
  reference | Set false if the initial reference count is floating, set true if it's not.
The bin can be a newly created GtkBin or an existing GtkBin. (see G::Object::Object).

## Member Function Documentation

Widget* Inti::Gtk::Bin::get_child | ( |  | ) | const

| Gets the child of the Bin, or null if the bin contains no child widget. Returns: A pointer to the child of the Bin. The returned widget does not have a reference added, so you do not need to unref it.

The documentation for this class was generated from the following file:

- bin.h

Main Page - Footer